.mobile-menu, .menutoggle {
  display: none;
}

@media screen and (max-width: $screen-xs+20) {
  $gutter: $grid-gutter-width;

  .navbar {
    display: none;
  }

  .mobile-menu {
    display: block;
    width: calc(100vw);
    height: calc(100vh);
    padding: $gutter*1.5 $gutter;
    overflow-x: hidden;
    overflow-y: scroll;
    position: fixed;
    left: 0;
    top: 0;
    transform: translate3d(-100vw, 0, 0);
    z-index: 1000;
    background: $brand-light;
    transition: transform 300ms ease-out;
    -webkit-overflow-scrolling: touch;

    &.open {
      transform: translate3d(0,0,0);
    }
  }
    .menutoggle {
      position: relative;
      //right: $gutter;
      //top: $gutter;
      display: block;
      //width: 3em;
      //height: 3em;
      z-index: 1001;
      font-size: 1.3em;

      .toggle {
        color: transparent;
        width: 2em;
        height: 2em;
        padding: 0.5em;
        background: #fff;
        border-radius: 0.2em;
        box-shadow: 0 0 0.3em #666;
        position: fixed;
        right: $grid-gutter-width*1;
        top: $grid-gutter-width*1;
        z-index: 100;
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
        -webkit-transition: .5s ease-in-out;
        -moz-transition: .5s ease-in-out;
        -o-transition: .5s ease-in-out;
        transition: .5s ease-in-out;
        cursor: pointer;

      }
      .toggle span {
        display: block;
        position: absolute;
        height: 0.3em;
        width: 70%;
        background: $brand-primary;
        border-radius: 1em;
        opacity: 1;
        left: 15%;
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
        -webkit-transition: .25s ease-in-out;
        -moz-transition: .25s ease-in-out;
        -o-transition: .25s ease-in-out;
        transition: .25s ease-in-out;
      }

      .toggle span:nth-child(1) {
        top: 0.4em;
      }

      .toggle span:nth-child(2), .toggle span:nth-child(3) {
        top: 0.9em;
      }

      .toggle span:nth-child(4) {
        top: 1.4em;
      }

      .toggle.open span:nth-child(1) {
        top: 0.9em;
        width: 0%;
        left: 50%;
      }

      .toggle.open span:nth-child(2) {
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        -o-transform: rotate(45deg);
        transform: rotate(45deg);
      }

      .toggle.open span:nth-child(3) {
        -webkit-transform: rotate(-45deg);
        -moz-transform: rotate(-45deg);
        -o-transform: rotate(-45deg);
        transform: rotate(-45deg);
      }

      .toggle.open span:nth-child(4) {
        top: 0.9em;
        width: 0%;
        left: 50%;
      }
    }

  .overlay-right-wrapper {
    display: none;
  }

}

@media screen and (max-width: $screen-phone) {
  .menutoggle .toggle {
    right: 1em;
    top: 1em;
  }

  body > header .header-top .left-area a img {
    max-width: 93%;
  }

  .mobile-menu {
    width: calc( 100vw );
    height: calc( 100vh );
    padding: $grid-gutter-width;
    padding-top: 10px;
  }
}


@media screen and (max-width: 500px) {
  .menutoggle .toggle {
    right: 1em;
    top: 1em;

    .path-frontpage &{
      top: 1em;
    }
  }
}

.mobile-menu {
  nav > ul {
    > li {
      > ul {
        li {
          a {
            color: $brand-primary;
          }

          &.active a {
            color: #000;
          }
        }
      }
    }
  }
}